/*
 ****************************************************************************************
 * DISCLAIMER
 ****************************************************************************************
 * This software and/or information (the "Material") is supplied by Renesas Electronics
 * Corporation. and is only intended for use with Renesas products. No other uses are authorized.
 * The Material is owned by Renesas Electronics Corporation and is protected under all applicable laws,
 * including copyright laws.
 * THIS MATERIAL IS PROVIDED "AS IS," AND RENESAS MAKES NO WARRANTIES REGARDING THIS MATERIAL,
 * WHETHER EXPRESS, IMPLIED OR STATUTORY, INCLUDING BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NON-INFRINGEMENT. ALL SUCH WARRANTIES ARE EXPRESSLY DISCLAIMED.
 * TO THE MAXIMUM EXTENT PERMITTED BY LAW, NEITHER RENESAS ELECTRONICS CORP. NOR ANY OF ITS
 * AFFILIATED COMPANIES SHALL BE LIABLE FOR ANY DIRECT, INDIRECT, SPECIAL, INCIDENTAL OR
 * CONSEQUENTIAL DAMAGES FOR ANY REASON RELATED TO THIS MATERIAL, EVEN IF RENESAS OR ITS AFFILIATES
 * HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.
 * Renesas reserves the right, without notice, to make changes to this Material
 * and to discontinue its availability
 *
 ****************************************************************************************
 * config.h
 *
 *  Created on: Sep 18, 2015
 *      Author: alejandro
 ****************************************************************************************
 */

#ifndef CONFIG_H_
#define CONFIG_H_

#define RL78_RESET  (IOPORT_PORT_01_PIN_06)
#define TOOL0       (IOPORT_PORT_01_PIN_03)

// accelerometer related configuration
#define ACC_RATE        62 // possible values 32, 62 (actually 62.5Hz), 125, 250 and 500
#define ACC_G_RANGE     4 // possible values 2, 4, 8

#define ACC_SCI_CHANNEL     0
#define ACC_CS_PIN          IOPORT_PORT_08_PIN_08
#define GYRO_CS_PIN         IOPORT_PORT_08_PIN_09
#define MAG_CS_PIN          IOPORT_PORT_03_PIN_05

#define VIBRATOR_PIN        IOPORT_PORT_01_PIN_02

#endif /* CONFIG_H_ */
