package com.xaplos.hcsolution;

import android.bluetooth.BluetoothGattCharacteristic;
import android.os.Bundle;

import java.util.UUID;

public abstract class BLECharacteristic {
    public abstract String getCharacteristicName();
    public abstract UUID getCharacteristicUuid();

    @SuppressWarnings("SameReturnValue")
    public boolean hasNotifications() { return true; }
    public Bundle parseCharacteristicValue(BluetoothGattCharacteristic characteristic) { return null; }
    public Bundle emulateCharacteristic() { return null; }
}

